package com.sunxung.factoring.service.sys;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.CommonVO;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.sys.ClientUserDO;
import com.sunxung.factoring.entity.sys.request.ClientUserQueryRequest;
import com.sunxung.factoring.entity.sys.request.DistributePMRequest;
import com.sunxung.factoring.entity.sys.request.DistributeRMRequest;
import com.sunxung.factoring.entity.sys.vo.ClientUserVO;

import java.text.ParseException;
import java.util.List;

public interface ClientUserService extends IService<ClientUserDO> {


  GridPage<ClientUserVO> pageList(ClientUserQueryRequest clientUserQueryRequest);

  void receive(Long clientUserId);

  void distributeProjectManager(Long clientUserId,Long projectManagerId ,boolean flag);

  void distributeRiskManager(Long clientUserId,Long riskManagerId);

  void distributeProjectManagers(DistributePMRequest distributePMRequest);

  void distributeRiskManagers(DistributeRMRequest distributeRMRequest);

  List<CommonVO> getPMs(Long clientUserId);

  List<CommonVO> getRMs();

  void systemDistribute() throws ParseException;

  /**
   * 重置C端用户密码
   * @param clientUserId
   */
    void resetPassword(Long clientUserId);
}
